Как создать собственное исключение в Python?

Пользователь

от gage , в категории: Python , 2 месяца назад

Как создать собственное исключение в Python?

Facebook Vk Ok Twitter LinkedIn Telegram Whatsapp

1 ответ

Пользователь

от NicolasSsh , 2 месяца назад

@gage  Для того, чтобы создать собственное исключение - вы можете воспользоваться try, except и raise

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
def iter(x):
    '''
    Функция, которая принимает на вход число, а возвращает это же число, но на 1 больше
    '''

    try: # Создаем блоки try/except
        return x + 1
    
    except TypeError: # В случае TypeError'а мы обозначим ошибку в консоль
        raise TypeError("Function expected to receive int-value")

print(iter(5)) # Вывод : 6
print(iter("dropcode.ru")) # Вывод : (Подробности ошибки) + TypeError: Function expected to receive int-value